Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class KeyAdapter

    java.lang.Object
      |
      +--java.awt.event.KeyAdapter

All Implemented Interfaces:
  EventListener, KeyListener

Direct Known Subclasses:
  BasicComboBoxUI.KeyHandler, BasicComboPopup.InvocationKeyHandler, BasicTreeUI.KeyHandler

public abstract class KeyAdapter
extends Object
implements KeyListener

An abstract adapter class for receiving keyboard events. The methods in this class are empty. This class exists as convenience for creating listener objects.

Extend this class to create a `KeyEvent` listener and override the methods for the events of interest. (If you implement the `KeyListener` interface, you have to define all of the methods in it. This abstract class defines null methods for them all, so you can only have to define methods for events you care about.)

Create a listener object using the extended class and then register it with a component using the component's `addKeyListener` method. When a key is pressed, released, or typed (pressed and released), the relevant method in the listener object is invoked, and the `KeyEvent` is passed to it.

Since:
  1.1
See Also:
  `KeyEvent`, `KeyListener`, Tutorial: Writing a Key Listener, Reference: The Java Class Libraries (update file)

Constructor Summary
`KeyAdapter()`

Method Summary
`void` | `keyPressed(KeyEvent e)` Invoked when a key has been pressed.
`void` | `keyReleased(KeyEvent e)` Invoked when a key has been released.
`void` | `keyTyped(KeyEvent e)` Invoked when a key has been typed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyAdapter

    public KeyAdapter()

Method Detail

### keyTyped

    public void keyTyped(KeyEvent e)

  Invoked when a key has been typed. This event occurs when a key press is followed by a key release.

  Specified by:
    `keyTyped` in interface `KeyListener`

### keyPressed

    public void keyPressed(KeyEvent e)

  Invoked when a key has been pressed.

  Specified by:
    `keyPressed` in interface `KeyListener`

### keyReleased

    public void keyReleased(KeyEvent e)

  Invoked when a key has been released.

  Specified by:
    `keyReleased` in interface `KeyListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.